#
# spec file for package rubygem-activesupport-7.0
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-activesupport-7.0
Version:        7.0.8.6
Release:        1.2
%define mod_name activesupport
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -7.0
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            https://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A toolkit of support libraries and Ruby core extensions extracted
License:        MIT

%description
A toolkit of support libraries and Ruby core extensions extracted from the
Rails framework. Rich support for multibyte strings, internationalization,
time zones, and testing.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- ## Rails 7.0.8.6 (October 23, 2024) ##
  * No changes.
  [#]# Rails 7.0.8.5 (October 15, 2024) ##
  * No changes.
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- ## Rails 7.0.8.4 (June 04, 2024) ##
  * No changes.
  [#]# Rails 7.0.8.3 (May 17, 2024) ##
  * No changes.
  [#]# Rails 7.0.8.2 (May 16, 2024) ##
  * No changes.
  [#]# Rails 7.0.8.1 (February 21, 2024) ##
  * No changes.
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- ## Rails 7.0.8 (September 09, 2023) ##
  * Fix `TimeWithZone` still using deprecated `#to_s` when `ENV` or `config` to
    disable it are set.
  * Hartley McGuire*
  * Fix CacheStore#write_multi when using a distributed Redis cache with a connection pool.
    Fixes [#48938](https://github.com/rails/rails/issues/48938).
  * Jonathan del Strother*
  [#]# Rails 7.0.7.2 (August 22, 2023) ##
  * No changes.
  [#]# Rails 7.0.7.1 (August 22, 2023) ##
  * Use a temporary file for storing unencrypted files while editing
    [CVE-2023-38037]
  [#]# Rails 7.0.7 (August 09, 2023) ##
  * Fix `Cache::NullStore` with local caching for repeated reads.
  * fatkodima*
  * Fix `to_s` with no arguments not respecting custom `:default` formats
  * Hartley McGuire*
  * Fix `ActiveSupport::Inflector.humanize(nil)` raising ``NoMethodError: undefined method `end_with?' for nil:NilClass``.
  * James Robinson*
  * Fix `Enumerable#sum` for `Enumerator#lazy`.
  * fatkodima*, *Matthew Draper*, *Jonathan Hefner*
  * Improve error message when EventedFileUpdateChecker is used without a
    compatible version of the Listen gem
  * Hartley McGuire*
  [#]# Rails 7.0.6 (June 29, 2023) ##
  * Fix `EncryptedConfiguration` returning incorrect values for some `Hash`
    methods
  * Hartley McGuire*
  * Fix arguments being destructed `Enumerable#many?` with block.
  * Andrew Novoselac*
  * Fix humanize for strings ending with id.
  * fatkodima*
* Tue Jun 27 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 7.0.5.1
  * https://rubyonrails.org/2023/6/26/Rails-Versions-7-0-5-1-6-1-7-4-have-been-released
* Mon Jun 26 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 7.0.5
  * https://rubyonrails.org/2023/5/24/Rails-7-0-5-has-been-released
* Fri Apr 21 2023 Marcus Rueckert <mrueckert@suse.de>
- Update to version 7.0.4.3: [CVE-2023-28120][bsc#1209506]
  https://rubyonrails.org/2023/3/13/Rails-7-0-4-3-and-6-1-7-3-have-been-released
  https://rubyonrails.org/2023/1/24/Rails-7-0-4-2-and-6-1-7-2-have-been-released
  https://rubyonrails.org/2023/1/17/Rails-Versions-6-0-6-1-6-1-7-1-7-0-4-1-have-been-released
* Fri Jan 27 2023 Valentin Lefebvre <valentin.lefebvre@suse.com>
- update to version 7.0.4.1
  see installed CHANGELOG.md
  fix CVE-2023-22796 (bsc#1207454)
  [#]# Rails 7.0.4.1 (January 17, 2023) ##
  * Avoid regex backtracking in Inflector.underscore
    [CVE-2023-22796]
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.4
  see installed CHANGELOG.md
  [#]# Rails 7.0.4 (September 09, 2022) ##
  * Redis cache store is now compatible with redis-rb 5.0.
  * Jean Boussier*
  * Fix `NoMethodError` on custom `ActiveSupport::Deprecation` behavior.
    `ActiveSupport::Deprecation.behavior=` was supposed to accept any object
    that responds to `call`, but in fact its internal implementation assumed that
    this object could respond to `arity`, so it was restricted to only `Proc` objects.
    This change removes this `arity` restriction of custom behaviors.
  * Ryo Nakamura*
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.3.1
  see installed CHANGELOG.md
  [#]# Rails 7.0.3.1 (July 12, 2022) ##
  * No changes.
* Sun May 15 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 7.0.3
  * no changes
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2.4
  see installed CHANGELOG.md
  [#]# Rails 7.0.2.4 (April 26, 2022) ##
  * Fix and add protections for XSS in `ActionView::Helpers` and `ERB::Util`.
    Add the method `ERB::Util.xml_name_escape` to escape dangerous characters
    in names of tags and names of attributes, following the specification of XML.
  * Álvaro Martín Fraguas*
* Thu Mar 10 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 7.0.2.3
  * no changes
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2.2
  see installed CHANGELOG.md
  [#]# Rails 7.0.2.2 (February 11, 2022) ##
  * Fix Reloader method signature to work with the new Executor signature
  [#]# Rails 7.0.2.1 (February 11, 2022) ##
  * No changes.
  [#]# Rails 7.0.2 (February 08, 2022) ##
  * Fix `ActiveSupport::EncryptedConfiguration` to be compatible with Psych 4
  * Stephen Sugden*
  * Improve `File.atomic_write` error handling.
  * Daniel Pepper*
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.1
  see installed CHANGELOG.md
  [#]# Rails 7.0.1 (January 06, 2022) ##
  * Fix `Class#descendants` and `DescendantsTracker#descendants` compatibility with Ruby 3.1.
    [The native `Class#descendants` was reverted prior to Ruby 3.1 release](https://bugs.ruby-lang.org/issues/14394#note-33),
    but `Class#subclasses` was kept, breaking the feature detection.
  * Jean Boussier*
* Mon Dec 27 2021 Manuel Schnitzer <mschnitzer@suse.com>
- Don't limit building to specific ruby versions
* Tue Dec 21 2021 Manuel Schnitzer <mschnitzer@suse.com>
- Rails 7.0 has been released
  https://edgeguides.rubyonrails.org/7_0_release_notes.html
* Sun Dec 12 2021 Marcus Rueckert <mrueckert@suse.de>
- initial package
